ApiIcebergReplicationRemoteCommand (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiIcebergReplicationRemoteCommand

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiIcebergReplicationRemoteCommand

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiIcebergReplicationRemoteCommand
      extends Object

  API request to execute an iceberg remote command The payload (command) is executed by the remote Iceberg Replication service.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiIcebergReplicationRemoteCommand()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiIcebergReplicationRemoteCommand` | `args(Map<String,String> args)`
    `ApiIcebergReplicationRemoteCommand` | `command(String command)`
    `boolean` | `equals(Object o)`
    `Map<String,String>` | `getArgs()` Get args
    `String` | `getCommand()` Get command
    `int` | `hashCode()`
    `ApiIcebergReplicationRemoteCommand` | `putArgsItem(String key, String argsItem)`
    `void` | `setArgs(Map<String,String> args)`
    `void` | `setCommand(String command)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiIcebergReplicationRemoteCommand

          public ApiIcebergReplicationRemoteCommand()

  - ### Method Detail

    - #### command

          public ApiIcebergReplicationRemoteCommand command(String command)

    - #### getCommand

          public String getCommand()

      Get command
      Returns:
        command

    - #### setCommand

          public void setCommand(String command)

    - #### args

          public ApiIcebergReplicationRemoteCommand args(Map<String,String> args)

    - #### putArgsItem

          public ApiIcebergReplicationRemoteCommand putArgsItem(String key,
                                                                String argsItem)

    - #### getArgs

          public Map<String,String> getArgs()

      Get args
      Returns:
        args

    - #### setArgs

          public void setArgs(Map<String,String> args)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.